Bug 150084 - snmpd dies when getting enterprises.ucdavis.memory.memTotalSwap.0
snmpd dies when getting enterprises.ucdavis.memory.memTotalSwap.0
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: net-snmp (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks: 156322
  Show dependency treegraph
 
Reported: 2005-03-02 06:40 EST by Ricardo Aguiar
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2005-395
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 08:37:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ricardo Aguiar 2005-03-02 06:40:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; 
SV1; .NET CLR 1.1.4322)

Description of problem:
When executing the command "snmpget -v1 -c public localhost 
enterprises.ucdavis.memory.memTotalSwap.0" or getting the same OID 
from an snmp utility, the snmpd dies.

Version-Release number of selected component (if applicable):
net-snmp-5.1.2-11

How reproducible:
Always

Steps to Reproduce:
1.snmpget -v1 -c public localhost 
enterprises.ucdavis.memory.memTotalSwap.0
2.
3.
    

Actual Results:  The snmpd dies.

Additional info:

grep -v "^#" snmpd.conf | grep -v "^$"
com2sec notConfigUser  default       public
group   notConfigGroup v1           notConfigUser
group   notConfigGroup v2c           notConfigUser
view    systemview    included   .1.3.6.1.2.1.1
view    systemview    included   .1.3.6.1.2.1.25.1.1
view    all           included   .1                  80
access  notConfigGroup ""      any       noauth    exact  all none 
none
syslocation xxxxxx
syscontact xxxxxxxx <xxxxx@xxx.xx>
pass .1.3.6.1.4.1.4413.4.1 /usr/bin/ucd5820stat
Comment 1 Radek Vokal 2005-03-08 04:12:40 EST
What's your actually Swap size? Don't you have some incredibly high
value? 

# rpm -q net-snmp
net-snmp-5.1.2-11

#snmpget -v1 -c public localhost enterprises.ucdavis.memory.memTotalSwap.0
UCD-SNMP-MIB::memTotalSwap.0 = INTEGER: 2031608
Comment 2 Ricardo Aguiar 2005-03-08 06:54:20 EST
No, as you can see I have 512Mb of swap

[root@xxxx ~]# free
          total      used       free     shared    buffers     cached
Mem:      451176     439100     12076         0      17804     153112
-/+ buffers/cache:   268184    182992
Swap:     522104       4344    517760

[root@xxxx ~]# rpm -q net-snmp
net-snmp-5.1.2-11
Comment 3 Radek Vokal 2005-03-08 07:48:01 EST
Hmm, now I see the bug, it really needed a greater swap size for
reproducing it .. working on a patch 
Comment 4 Radek Vokal 2005-03-10 04:43:04 EST
The FC version is fixed in rawhide - latest net-snmp-5.2.1 shows
correctly swap size. I'm moving this bug from FC to RHEL which is also
affected. 
Comment 5 Radek Vokal 2005-03-10 04:44:22 EST
Sorry, I ment RHEL4
Comment 6 Ricardo Aguiar 2005-03-16 06:18:09 EST
Sorry for the delay, I tested net-snmp-5.2.1-5 on FC3. And worked fine.
Comment 7 Radek Vokal 2005-04-20 09:06:09 EDT
Fix for RHEL4 is on the way ... 
Comment 10 Red Hat Bugzilla 2005-10-05 08:37:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-395.html

Note You need to log in before you can comment on or make changes to this bug.